Bug 600638 - Review Request: seed - GNOME JavaScript interpreter
Review Request: seed - GNOME JavaScript interpreter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 600637
Blocks: 577684
  Show dependency treegraph
 
Reported: 2010-06-05 06:51 EDT by Michel Alexandre Salim
Modified: 2010-07-05 18:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: seed-2.30.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 17:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
mock log for rawhide (161.14 KB, text/plain)
2010-06-11 12:10 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Michel Alexandre Salim 2010-06-05 06:51:10 EDT
Spec URL: http://salimma.fedorapeople.org/specs/gnome/seed.spec
SRPM URL: http://salimma.fedorapeople.org/specs/gnome/seed-2.30.0-1.fc13.src.rpm
Description:
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the GNOME
platform. Seed serves as something which enables you to write
standalone applications in JavaScript, or easily enable your
application to be extensible in JavaScript.
Comment 1 Michel Alexandre Salim 2010-06-05 06:52:13 EDT
This depends on the review of gnome-js-common, and blocks the re-inclusion of same-gnome (now called swell foop) from GNOME Games
Comment 2 Mamoru TASAKA 2010-06-11 12:10:07 EDT
Created attachment 423325 [details]
mock log for rawhide

Some notes:

! Latest version
  - The latest version seems 2.31.0, however for now I will review
    2.30.0 because you probably import stable version into F-13.

* Cleanups
  - For BuildRoot, %clean section, please check my comment on
    bug 600637.

* BR
  - Your srpm won't build without additional
    "BR: intltool dbus-glib-devel". Plase see attached.

* rpath
  - As written in 
    https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
    use rpath "as a last resort" (i.e. avoid using rpath as much as
    possible).

  ! Note
    - Usually the reason that unneeded rpath /usr/lib64 is added to
      the rebuilt binary is that the upstream developer uses libtool
      which does not take special care of /usr/lib64 for
      sys_lib_dlsearch_path_spec, while Fedora's libtool take care of
      this by adding a patch. See the below patch:
      
      http://cvs.fedoraproject.org/viewvc/rpms/libtool/devel/libtool-2.2.6a-rpath.patch?content-type=text%2Fplain&view=co

      So actually for most cases, the case that rpath /usr/lib64 is added
      (only for 64 bits arch) can be avoided by
------------------------------------------------------------------------
sed -i.libdir_syssearch -e \
  '/sys_lib_dlsearch_path_spec/s|/usr/lib |/usr/lib /usr/lib64 /lib /lib64 |' \
  configure
------------------------------------------------------------------------
      i.e. just add the needed paths to sys_lib_dlsearch_path_spec in
      configure (note that libtool in the build directory is generated by
      configure) before calling %configure.
      - You can alternatively do "autoreconf -fi", however calling autotools
        is not recommended unless unavoidable.

* Make build.log more verbosely
  - Currently build logs for linkage or so are suppressed. Please add
    "V=1" to "make %{?_smp_mflags}" to show more verbose log.

* Cflags
  - Fedora specific compilation flags are not honored correctly.
    https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

    configure{,ac} shows that environ-specified CFLAGS is replaced.
    For this package this can be fixed by below, for example:
------------------------------------------------------------------------
sed -i.cflags -e \
	's|^\([ \t][ \t]*\)CFLAGS="[^\$].*$|\1true|' \
	configure
------------------------------------------------------------------------

* Timestamps
  - As I wrote in bug 600637, please consider to keep timestamps on
    installed files as much as possible with
------------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT DESTDIR="install -p"
------------------------------------------------------------------------
    This method usually works for makefiles generated by recent
    autotools.

* %doc in -doc subpackage
  - Usually I think %doc attribute in -doc subpackage is just
    redundant because the rpm name already said it is for
    documentation

  ! Note that the files / etc under %_datadir/gtk-doc is
    automatically marked as %doc, so explicit %doc for
    %{_datadir}/gtk-doc/html/seed is anyway redundant.
Comment 3 Mamoru TASAKA 2010-06-18 12:33:49 EDT
Would you update this package?
Comment 4 Michel Alexandre Salim 2010-06-18 12:48:48 EDT
Yup. Was waiting for the gnome-js-common review to clear, sorry.
Comment 5 Michel Alexandre Salim 2010-06-18 14:40:10 EDT
Updated SRPM:
http://salimma.fedorapeople.org/specs/gnome/seed-2.30.0-2.fc13.src.rpm

Koji build (F-14 -- gnome-js-common not in stable updates yet):
http://koji.fedoraproject.org/koji/taskinfo?taskID=2258296
Comment 6 Mamoru TASAKA 2010-06-19 11:18:43 EDT
Okay.

--------------------------------------------------
  This package (seed) is APPROVED by mtasaka
--------------------------------------------------
Comment 7 Michel Alexandre Salim 2010-06-19 18:02:15 EDT
Thanks, Mamoru!

New Package CVS Request
=======================
Package Name: seed
Short Description: GNOME JavaScript interpreter
Owners: salimma
Branches: F-13
InitialCC:
Comment 8 Kevin Fenzi 2010-06-20 22:15:14 EDT
CVS done (by process-cvs-requests.py).
Comment 9 Michel Alexandre Salim 2010-06-22 17:17:56 EDT
2.31.1 has been built for Rawhide; 2.30.0 will be built for F-13 when gnome-js-common reaches stable updates
Comment 10 Mamoru TASAKA 2010-06-23 00:44:00 EDT
You can request rel-eng team to get gnome-js-common tagged as
dist-f13-override.
Comment 11 Michel Alexandre Salim 2010-06-23 05:37:36 EDT
I could, but it's been in testing long enough that it can be normally pushed to -stable anyway.
Comment 12 Fedora Update System 2010-06-23 14:15:59 EDT
seed-2.30.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/seed-2.30.0-2.fc13
Comment 13 Fedora Update System 2010-07-05 18:08:51 EDT
seed-2.30.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.